//	ExampleShader.cpp - Temp.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "ExampleShader.h"
#include "UTF8File.h"

//------------------------------------------------------------------------------
const wchar_t ExampleShader::vertexString[] = {L"..."};
const wchar_t ExampleShader::fragmentString[] = {L"..."};

//------------------------------------------------------------------------------
ExampleShader::ExampleShader():
Shader(std::wstring(vertexString), std::wstring(fragmentString), L"ExampleShader")
{

}

//...OR...

//------------------------------------------------------------------------------
ExampleShader::ExampleShader():
Shader(L"ExampleShader")
{
	std::wstring vertexText;
	std::wstring fragmentText;
	UTF8File vertexFile(FilePath(L"...shader path..."));
	UTF8File fragmentFile(FilePath(L"...shader path..."));

	vertexFile.readFile(vertexText);
	fragmentFile.readFile(fragmentText);

	setVertexShader(vertexText);
	setFragmentShader(fragmentText);
}
